=== debian/control ===
Source: ros-indigo-nj-laser
Section: misc
Priority: extra
Maintainer: Gaël Ecorchard <gael.ecorchard@ciirc.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-crossing-detector, ros-indigo-geometry-msgs, ros-indigo-goto-crossing, ros-indigo-lama-common, ros-indigo-lama-jockeys, ros-indigo-lama-msgs, ros-indigo-nj-oa-laser, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/nj_laser
Standards-Version: 3.9.2

Package: ros-indigo-nj-laser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-crossing-detector, ros-indigo-geometry-msgs, ros-indigo-goto-crossing, ros-indigo-lama-common, ros-indigo-lama-jockeys, ros-indigo-lama-msgs, ros-indigo-nj-oa-laser, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-visualization-msgs
Description: The nj_laser package
